#include "Param.h"

namespace ffglqs
{

Param::Param() :
	Param( std::string() )
{
}

Param::Param( std::string name ) :
	Param( std::move( name ), 0 )
{
}

Param::Param( std::string name, float value ) :
	Param( std::move( name ), FF_TYPE_STANDARD, value )
{
}

Param::Param( std::string name, FFUInt32 type, float value ) :
	name( std::move( name ) ),
	type( type ),
	value( value )
{
}

virtual FFMixed Param::GetValue() const
{
	FFMixed retval;
	retval.FloatValue = value;
	return retval;
}

virtual FFResult Param::SetValue( FFMixed mixed )
{
	value = mixed.FloatValue;
	return FF_SUCCESS;
}

}//End namespace ffglqs